Support Article

Upgrade to Pega 7.1.9 fails with rule update error

SA-18279

Summary



Upgrade from Pega 7.1.7 to 7.1.9 failed with the below error. These error instances is not found by rule resolution after updating.
Contact Pega Support to evaluate whether to continue the update process.


Error Messages



The following rules were updated after this release was built:
pzinskey pxUpdateDateTime
RULE-OBJ-ACTIVITY @BASECLASS DISPLAYHARNESSWITHCLASS #20150902T080039.291 GMT 2015-09-02 08:03:15
RULE-OBJ-ACTIVITY @BASECLASS TRACKSECURITYCHANGESLOGIC #20151020T125756.882 GMT 2015-10-27 09:50:40


 


Steps to Reproduce



Use the Installation and Upgrade Assistant to Upgrade to Pega 7.1.9.


Root Cause



A defect in Pegasystems’ code or rules. This is caused by installing a hotfix packaged after the release of the version that user is upgrading to.

Resolution



Perform the following local-change: 

Run the update using the command line tools with the force flag (the -force parameter).
For example, update.bat -force. Alternatively, set the value in setupDatabase.properties as force.update=true.
Suggest Edit

Published January 31, 2016 - Updated October 8, 2020

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.